Docs
Jobs

List crawl and extraction jobs

GET/jobs
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Query Parameters

type?string

Value in

  • "crawl"
  • "extract"
status?string

Value in

  • "PENDING"
  • "RUNNING"
  • "COMPLETED"
  • "FAILED"
  • "CANCELLED"
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 100
Default25

Response Body

application/json

curl -X GET "https://example.com/jobs"
{  "data": {    "jobs": [      {        "completed": 0,        "completedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "creditsUsed": 0,        "error": "string",        "failed": 0,        "id": "string",        "startedAt": "2019-08-24T14:15:22Z",        "status": "string",        "total": 0,        "type": "crawl"      }    ],    "pagination": {      "limit": 0,      "page": 0,      "total": 0,      "totalPages": 0    }  },  "success": true}